---
title: Animation.pause()
slug: Web/API/Animation/pause
tags:
  - Animation
  - Method
  - Reference
  - Web Animations
  - pause
  - waapi
  - web animations api
---
<p>{{ SeeCompatTable() }}{{ APIRef("Web Animations") }}</p>

<p>The <code><strong>pause()</strong></code> method of the <a href="/en-US/docs/Web/API/Web_Animations_API">Web Animations API</a>'s {{domxref("Animation")}} interface suspends playback of the animation.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">animation.pause();
</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p>None.</p>

<h3 id="Exceptions">Exceptions</h3>

<dl>
 <dt>InvalidStateError</dt>
 <dd>The animation's {{domxref("Animation.currentTime", "currentTime")}} is <code>unresolved</code> (for example, if it's never been played or isn't currently playing) and the end time of the animation is positive infinity.</dd>
</dl>

<p>Throws an <code>InvalidStateError</code> if the animation's {{domxref("Animation.currentTime", "currentTime")}} is <code>unresolved</code> (perhaps it hasn't started playing yet) and the end time of the animation is positive infinity.</p>

<h2 id="Example">Example</h2>

<p><code>Animation.pause()</code> is used many times in the Alice in Web Animations API Land <a href="http://codepen.io/rachelnabors/pen/PNYGZQ?editors=0010">Growing/Shrinking Alice Game</a>, largely because animations created with the {{domxref("Element.animate()")}} method immediately start playing and must be paused manually if you want to avoid that:</p>

<pre class="brush: js">// animation of the cupcake slowly getting eaten up
var nommingCake = document.getElementById('eat-me_sprite').animate(
[
  { transform: 'translateY(0)' },
  { transform: 'translateY(-80%)' }
], {
  fill: 'forwards',
  easing: 'steps(4, end)',
  duration: aliceChange.effect.timing.duration / 2
});

// doesn't actually need to be eaten until a click event, so pause it initially:
nommingCake.pause();
</pre>

<p>Additionally, when resetting :</p>

<pre class="brush: js">// An all-purpose function to pause the animations on Alice, the cupcake, and the bottle that reads "drink me."
var stopPlayingAlice = function() {
  aliceChange.pause();
  nommingCake.pause();
  drinking.pause();
};

// When the user releases the cupcake or the bottle, pause the animations.
cake.addEventListener("mouseup", stopPlayingAlice, false);
bottle.addEventListener("mouseup", stopPlayingAlice, false);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th>Specification</th>
   <th>Status</th>
   <th>Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Animations', '#dom-animation-pause', 'play()')}}</td>
   <td>{{Spec2("Web Animations")}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.Animation.pause")}}</p>
</div>

<h2 id="See_also" style="line-height: 30px; font-size: 2.14285714285714rem;">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Web_Animations_API">Web Animations API</a></li>
 <li>{{domxref("Animation")}} for other methods and properties you can use to control web page animation.</li>
 <li>{{domxref("Animation.pause()")}} to pause an animation.</li>
 <li>{{domxref("Animation.reverse()")}} to play an animation backwards.</li>
 <li>{{domxref("Animation.finish()")}} to finish an animation.</li>
 <li>{{domxref("Animation.cancel()")}} to cancel an animation.</li>
</ul>
